Subject: Re: bug#50067: Context menus

From: Juri Linkov <[email-masked]>
Date: Fri, 27 Aug 2021 09:24:43 +0300

> Here is the first step that adds support for overlay-local context-menu,
> and removes the recently added 'flyspell-use-mouse-3-for-menu'.
> But 'flyspell-context-menu' still returns 'flyspell-correct-word'.

Now pushed.

> I invite you or anyone else to refactor 'flyspell-correct-word' and
> related functions to return a keymap menu where every menu item
> is bound to a function that calls flyspell-do-correct with an argument
> that is a correct word.

Any help is appreciated to create a menu keymap from misspelled words.